package cn.pluss.platform.questionsAnswers.impl;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.QuestionsAnswers;
import cn.pluss.platform.questionsAnswers.QuestionsAnswersService;
import cn.pluss.platform.mapper.QuestionsAnswersMapper;

@Transactional
@Service("questionsAnswersService")
public class QuestionsAnswersServiceImpl extends ServiceImpl<QuestionsAnswersMapper,QuestionsAnswers> implements QuestionsAnswersService{

	 private static final Logger logger = LoggerFactory.getLogger( QuestionsAnswersServiceImpl.class);


    @Autowired
	  private QuestionsAnswersMapper questionsAnswersMapper;

    @Override
    public QuestionsAnswers queryQuestionsAnswers(QuestionsAnswers questionsAnswers){
        return questionsAnswersMapper.queryQuestionsAnswers(questionsAnswers);
    }

    @Override
    public List<QuestionsAnswers> queryQuestionsAnswersList(QuestionsAnswers questionsAnswers){
        return questionsAnswersMapper.queryQuestionsAnswersList(questionsAnswers);
    }
    @Override
    public void saveQuestionsAnswers(QuestionsAnswers questionsAnswers){
          questionsAnswersMapper.saveQuestionsAnswers(questionsAnswers);
    }
    @Override
    public void updateQuestionsAnswers(QuestionsAnswers questionsAnswers){
        questionsAnswersMapper.updateQuestionsAnswers(questionsAnswers);
    }
    @Override
    public void deleteQuestionsAnswers(QuestionsAnswers questionsAnswers){
        questionsAnswersMapper.deleteQuestionsAnswers(questionsAnswers);
    }
    @Override
    public List<QuestionsAnswers> queryQuestionsAnswersPage(Map map){
        return questionsAnswersMapper.queryQuestionsAnswersPage(map);
    }
    @Override
    public Integer queryQuestionsAnswersPageCount(Map map){
        return questionsAnswersMapper.queryQuestionsAnswersPageCount(map);
    }
    @Override
    public void saveQuestionsAnswersBatch(List<QuestionsAnswers> questionsAnswersList) {
         questionsAnswersMapper.saveQuestionsAnswersBatch(questionsAnswersList);
    }

	@Override
	public List<QuestionsAnswers> queryQuestionsAnswersOrderByIDPage(Map map) {
		return questionsAnswersMapper.queryQuestionsAnswersOrderByIDPage(map);
	}
}

